<div align='center'>
<picture>
  <source media="(prefers-color-scheme: dark)"
  srcset="https://imgur.com/Nm4OzW0.png" alt="LFDI logo"/>
  <img src="https://i.imgur.com/bC2UbSf.png" alt="LFDI logo"/>
</picture>
</div>

<p align='center'>
  <a title="Made with Fluent Design" href="https://github.com/bdlukaa/fluent_ui">
    <img src="https://img.shields.io/badge/fluent-design-blue"/>
  </a>
  <a title="Coded on Flutter with love 💖" href="https://flutter.dev">
    <img src="https://img.shields.io/badge/flutter-v3.0.0-blue">
  </a>
  <a title="Thank you, Dart!" href="https://dart.dev">
    <img src="https://img.shields.io/badge/dart-v2.17.0-blue">
  </a>
   <a title="I don't understand if it works or not" href="">
    <img src="https://img.shields.io/badge/works%3F-probably-yellow">
  </a>
  <a title="Just chill" href="">
    <img src="https://img.shields.io/badge/author%20is-chilling-orange">
  </a>
</p>

<div align='center'>

  **[Эта страница на русском](./docs/README_rus.md)**

</div>

<p align='center'>
Shows what you are listening to in your <b>Discord</b> status
</p>

# Introduction

You don't use Spotify ~~(that's fine)~~, but you want to show your music
in your Discord status? LFDI can help you do that!

# Table of contents

- [Why LFDI?](#why-lfdi)
- [Quick Overview](#quick-overview)
- [Installation](#installation)
- [Initial settings](#initial-settings)
- [System Requirements](#system-requirements)
- [Issues](#issues)
- [Screenshots](#screenshots)

## Why LFDI?

- **Looks really cool**
- Funny **app name**
- Written in [Flutter][flutter] *(this is very important!)*
- You can minimize the app to the system tray (no analogue can do that)
- Written by [tαngenx][tangenx]                             <- it's me!
- Works (no analogue can do that)
- Uses a maximum of **80** MB of your RAM!

[flutter]: https://flutter.dev
[tangenx]: https://github.com/tangenx

## Quick Overview

LFDI updates your [Discord][Discord] status every 30 seconds,
showing what you are listening to.

You can customize your status! For example, you can **playing some music**
or **listening to <your_application_music>**.

<div align='center'>

  ![Status example 1](https://i.imgur.com/QFadjYD.png)

  ![Status example 2](https://i.imgur.com/cfA9HfG.png)

</div>

As you can see, LFDI counts the number of times you've listened to the track and
how much time you've spent listening to it!

<details>
  <summary>You can minimize the application to the system tray and continue
  to do your business with your favorite music!</summary>

  <div align='center'>

  ![Minimizing](https://i.imgur.com/zqlJ5Zr.png)

  </div>

</details>

And you can also set the startup instead of with the system startup,
and forget about the app altogether ~~(don't, please)~~!

[Discord]: https://discord.com/

## Installation

- Open the [latest release page][Latest release]
- Download the installer depending on your system
~~(please remember to make the release for MacOS)~~
- Run the installer and follow the instructions

[Latest release]: https://github.com/tangenx/lfdi/releases/latest

## Initial settings

The app needs your [last.fm API key][last.fm API key] and username.

On the `Last.fm settings` page, enter Last.fm API key and username in the
corresponding fields. Then click **Apply** and magic happens!

<div align='center'>

  ![Last.fm settings form](https://i.imgur.com/q9m42iy.png)

</div>

You now have **playing** statuses available to you.
To use **listening to** statuses, go to the `Discord Gateway settings` page.

**WARNING:** Using "listening" statuses [seems illegal](./docs/en/why%20the%20gateway%20seems%20illegal.md)!

To set up the Discord Gateway, [click here](./docs/en/gateway/configure.md).

[last.fm API key]: https://www.last.fm/api/account/create

## System requirements

- Windows 7 or newer (Amazing, it works on Windows 7!)
- Linux and MacOS builds in the future
- That's all

## Issues

Please leave your issues on [this page][issues]. It is very important because:

- I don't know how to **code** ~~flutter apps~~
- I understand only about **7**% of my code
- The rest **93**% of my code is crap
- I don't know how to **test** flutter apps

Thanks!

[issues]: https://github.com/tangenx/lfdi/issues

## Screenshots

<details>
  <summary>Windows 11 (looks really great!)</summary>

  <div align='center'>

  ![Windows 11_1](https://i.imgur.com/0qeyNi8.png)

  ![Windows 11_2](https://i.imgur.com/UP2hK3A.png)

  </div>

</details>

<details>
  <summary>Windows 10 (looks very funny)</summary>

  <div align='center'>

  ![Windows 10](https://i.imgur.com/7HNUsLl.png)

  </div>

</details>

<details>
  <summary>Windows 8/8.1</summary>

  <div align='center'>

  ![Windows 8.1](https://i.imgur.com/5AJTRK0.png)

  </div>

</details>

<details>
  <summary>Windows 7 (Amazing, it works on Windows 7!)</summary>

  <div align='center'>

  ![Windows 7](https://i.imgur.com/6g3Q5SI.png)

  </div>

</details>

<div align="center">
  <a title="j++" href="https://github.com/jppteam">
<picture>
  <source media="(prefers-color-scheme: dark)"
  srcset="https://i.imgur.com/BxcB86k.png" alt="J++ logo" width="300px"/>
  <img src="https://i.imgur.com/YneSpeq.png" alt="J++ logo" width="300px"/>
</picture>
  </a>
</div>
